#version unofficial MegaPOV 0.7;
#macro Prism(Type,Bottom,Top,Points,V1,V2,V3,V4,V5,V6,V7,V8,Color,Texture)
#switch(Points)
//Four Point Prism
#case(4)
#if(View<5)
#declare WirePris = 
sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V2,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
#if(Type=2)
V3,.03
#end
rotate x*90}
union {
object {WirePris}
object {WirePris translate y*Bottom}
object {WirePris translate y*Top}
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V1 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V2 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V3 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V4 rotate x*90 }
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V2,
#end
V1,V2,V3,V4
#if(Type=2)
V3         
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow} 
#else
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V2,
#end
V1,V2,V3,V4
#if(Type=2)
V3         
#end
texture {Texture}}
#end
#break
//Five Point Prism
#case(5)
#if(View<5)
#declare WirePris = 
sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V3,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
#if(Type=2)
V3,.03
#end
rotate x*90}
union {
object {WirePris}
object {WirePris translate y*Bottom}
object {WirePris translate y*Top}
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V1 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V2 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V3 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V4 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V5 rotate x*90 }
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V3,
#end
V1,V2,V3,V4,V5
#if(Type=2)
V3         
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow} 
#else
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V3,
#end
V1,V2,V3,V4,V5
#if(Type=2)
V3         
#end
texture {Texture}}
#end
#break
//Six Point Prism
#case(6)
#if(View<5)
#declare WirePris = 
sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V4,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
#if(Type=2)
V3,.03
#end
rotate x*90}
union {
object {WirePris}
object {WirePris translate y*Bottom}
object {WirePris translate y*Top}
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V1 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V2 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V3 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V4 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V5 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V6 rotate x*90 }
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V4,
#end
V1,V2,V3,V4,V5,V6
#if(Type=2)
V3         
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow} 
#else
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V4,
#end
V1,V2,V3,V4,V5,V6
#if(Type=2)
V3         
#end
texture {Texture}}
#end
#break
//Seven Point Prism
#case(7)
#if(View<5)
#declare WirePris = 
sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V5,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
  V7,.03
#if(Type=2)
V3,.03
#end
rotate x*90}
union {
object {WirePris}
object {WirePris translate y*Bottom}
object {WirePris translate y*Top}
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V1 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V2 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V3 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V4 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V5 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V6 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V7 rotate x*90 }
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V5,
#end
V1,V2,V3,V4,V5,V6,V7
#if(Type=2)
V3         
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow} 
#else
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V5,
#end
V1,V2,V3,V4,V5,V6,V7
#if(Type=2)
V3         
#end
texture {Texture}}
#end
#break
//Eight Point Prism
#case(8)
#if(View<5)
#declare WirePris = 
sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V6,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
  V7,.03
  V8,.03
#if(Type=2)
V3,.03
#end
rotate x*90}
union {
object {WirePris}
object {WirePris translate y*Bottom}
object {WirePris translate y*Top}
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V1 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V2 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V3 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V4 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V5 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V6 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V7 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V8 rotate x*90 }
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V6,
#end
V1,V2,V3,V4,V5,V6,V7,V8
#if(Type=2)
V3         
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow} 
#else
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V6,
#end
V1,V2,V3,V4,V5,V6,V7,V8
#if(Type=2)
V3         
#end
texture {Texture}}
#end
#end
#end
